> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Retailer Routing Guides

> Returns a list of `RetailerRoutingGuide` objects under the given Retailer.



## OpenAPI

````yaml GET /v1/shipping/retailers/{id}/routing-guides
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: Locations
    x-displayName: Locations
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/shipping/retailers/{id}/routing-guides:
    get:
      tags:
        - Retailers
      summary: List Retailer Routing Guides
      description: >-
        Returns a list of `RetailerRoutingGuide` objects under the given
        Retailer.
      operationId: getRetailerRoutingGuides
      parameters:
        - name: id
          in: path
          schema:
            type: integer
            format: int32
            minimum: 1
          required: true
          description: The `id` of the parent `Retailer`.
        - $ref: >-
            #/components/parameters/Shipping_API_v1_retailer-routing-guide-fields
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-retailer_routing_guide-retailer
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-retailer_routing_guide-retailer.merchant
        - $ref: >-
            #/components/parameters/Shipping_API_v1_fields-retailer_routing_guide-uploaded_by
        - name: filter
          schema:
            type: array
            items:
              type: string
          in: query
          required: false
          style: form
          explode: true
          allowReserved: true
          description: >-
            Using the [filtering syntax](/global-api/filtering-syntax), you may
            filter the results using:

            `id`, `title`, `file_type`, `file_size`, `uploaded_at`,
            `created_at`, `updated_at`.
        - name: sort
          schema:
            type: string
          in: query
          required: false
          description: >-
            The default sort order is **descending** by primary key
            (`sort=-id`).


            Using the [sorting syntax](/global-api/sorting-syntax), the
            following fields are available for sorting:
              - `id`
              - `title`
              - `file_type`
              - `file_size`
              - `uploaded_at`
              - `created_at`
              - `updated_at`
        - $ref: '#/components/parameters/Shipping_API_v1_count'
        - $ref: '#/components/parameters/Shipping_API_v1_cursor_end'
        - $ref: '#/components/parameters/Shipping_API_v1_cursor_start'
        - $ref: '#/components/parameters/Shipping_API_v1_limit'
      responses:
        '200':
          description: A dictionary with a `collection` of `RetailerRoutingGuide` objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  collection:
                    type: array
                    items:
                      $ref: '#/components/schemas/Shipping_API_v1_RoutingGuide'
                  has_more:
                    $ref: '#/components/schemas/Shipping_API_v1_has_more'
                  next:
                    $ref: '#/components/schemas/Shipping_API_v1_next'
                  previous:
                    $ref: '#/components/schemas/Shipping_API_v1_previous'
                  meta:
                    $ref: '#/components/schemas/Shipping_API_v1_meta'
        '400':
          $ref: '#/components/responses/Shipping_API_v1_400-bad-request'
        '404':
          $ref: '#/components/responses/Shipping_API_v1_404-not-found'
        '500':
          $ref: '#/components/responses/Shipping_API_v1_500-internal-server-error'
components:
  parameters:
    Shipping_API_v1_retailer-routing-guide-fields:
      name: fields
      in: query
      required: false
      description: >-
        Specify additional fields of the `RetailerRoutingGuide` object to be
        included in the response.

        See the [selecting fields](/global-api/selecting-fields) page for more
        information.
      explode: false
      schema:
        $ref: >-
          #/components/schemas/Shipping_API_v1_retailer-routing-guide-fields-enum
    Shipping_API_v1_fields-retailer_routing_guide-retailer:
      name: fields:retailer
      in: query
      required: false
      description: >-
        Specify additional fields of the parent `Retailer` object to be included
        in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_retailer-fields-enum'
    Shipping_API_v1_fields-retailer_routing_guide-retailer.merchant:
      name: fields:retailer.merchant
      in: query
      required: false
      description: >-
        Specify additional fields of the nested `Merchant` of the parent
        Retailer. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Shipping_API_v1_merchant-fields-enum'
    Shipping_API_v1_fields-retailer_routing_guide-uploaded_by:
      name: fields:uploaded_by
      in: query
      required: false
      description: >-
        Specify additional fields of the `Requester` object (the entity that
        uploaded the routing guide) to be included in the response. See the
        [selecting fields](/global-api/selecting-fields) page for more
        information.
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - all
    Shipping_API_v1_count:
      name: count
      in: query
      description: >-
        If specified as `1`, the `meta.count` property of the response will be
        present and populated with the total count of items

        matching the query before any paging is applied. This is not included by
        default to improve performance in some edge

        cases and is not required to perform paging using the `next` property of
        the response.

        See [paging parameters](/global-api/paging-parameters) for more
        information.
      style: form
      schema:
        type: integer
        minimum: 0
        maximum: 1
    Shipping_API_v1_cursor_end:
      name: cursor_end
      in: query
      description: >-
        A cursor for use in pagination which defines the last `id` of the next
        page of results, non-inclusive.

        See [paging parameters](/global-api/paging-parameters) for more
        information on paging.
      schema:
        type: integer
      style: form
    Shipping_API_v1_cursor_start:
      name: cursor_start
      in: query
      description: >-
        A cursor for use in pagination which defines the starting `id` of the
        next page of results.

        See [paging parameters](/global-api/paging-parameters) for more
        information on paging.
      schema:
        type: integer
      style: form
    Shipping_API_v1_limit:
      name: limit
      in: query
      description: A limit on the number of objects to be returned.
      style: form
      schema:
        type: integer
        example: 100
        default: 100
        minimum: 1
        maximum: 1000
  schemas:
    Shipping_API_v1_RoutingGuide:
      title: RetailerRoutingGuide
      type: object
      description: |-
        A `RetailerRoutingGuide` represents a routing-guide document
        (PDF / DOC / XLS / CSV / TXT) uploaded against a Retailer.
      properties:
        type:
          type: string
          enum:
            - RetailerRoutingGuide
          example: RetailerRoutingGuide
          readOnly: true
          description: >-
            This is a read-only property that describes the type of object in
            the response body.
        id:
          type: integer
          format: int32
          minimum: 1
          example: 12
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        title:
          type: string
          nullable: true
          maxLength: 255
          example: Walmart Routing Guide 2026
          description: >-
            Optional title. Defaults to the uploaded file name when blank on
            create.
        description:
          type: string
          nullable: true
          example: Includes carton-label spec and ASN windows.
          description: |-
            Optional long-form notes.\
              `Optional Field`
        file_name:
          type: string
          nullable: true
          readOnly: true
          example: walmart-routing-guide-2026.pdf
          description: Derived from the storage file path.
        file_type:
          type: string
          nullable: true
          readOnly: true
          example: pdf
          description: Storage-file MIME / extension hint.
        file_size:
          type: integer
          format: int32
          nullable: true
          readOnly: true
          example: 524288
          description: File size in bytes.
        uploaded_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          example: '2026-05-26T12:34:56Z'
          description: Upload timestamp; set on create.
        retailer:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_RetailerRef'
          description: |-
            Parent Retailer reference. Set from the path; cannot be changed.\
              `Optional Field`
        uploaded_by:
          allOf:
            - $ref: '#/components/schemas/Shipping_API_v1_RequesterRef'
          nullable: true
          description: Optional requester reference for the uploader.
        created_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          example: '2026-05-26T12:34:56Z'
          description: |-
            Creation timestamp.\
              `Optional Field`
        updated_at:
          type: string
          format: date-time
          nullable: true
          readOnly: true
          example: '2026-05-26T12:34:56Z'
          description: |-
            Last-update timestamp.\
              `Optional Field`
      additionalProperties: false
    Shipping_API_v1_has_more:
      type: boolean
      description: |-
        True if the collection has more items on the next page.
        Use the "next" link to retrieve the next page of results.
    Shipping_API_v1_next:
      type: string
      nullable: true
      description: The resource path for the next page of results if any are expected.
    Shipping_API_v1_previous:
      type: string
      nullable: true
      description: The resource path for the previous page of results if any are expected.
    Shipping_API_v1_meta:
      type: object
      properties:
        processing_time:
          type: number
          description: Total time in which request is processed and response is sent back.
          example: 0.2525252525
        cursor_start:
          type: integer
          description: >-
            A cursor for use in pagination which defines the starting `id` of
            the next page of results.

            See [paging parameters](/global-api/paging-parameters) for more
            information on paging.
          nullable: true
        cursor_end:
          type: integer
          description: >-
            A cursor for use in pagination which defines the last `id` of the
            next page of results, non-inclusive.

            See [paging parameters](/global-api/paging-parameters) for more
            information on paging.
          nullable: true
        count:
          type: integer
          description: >-
            The total number of items matching the query before applying paging
            parameters.

            This field is only present if the query parameter `count=1` is
            present in the request.
      description: Additional metadata pertaining to the response.
    Shipping_API_v1_retailer-routing-guide-fields-enum:
      title: RetailerRoutingGuide
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - title
          - description
          - file_name
          - file_type
          - file_size
          - uploaded_by
          - uploaded_at
          - retailer
          - created_at
          - updated_at
    Shipping_API_v1_retailer-fields-enum:
      title: Retailer
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - name
          - status
          - fulfillment_model
          - merchant
          - parent_retailer
          - legal_name
          - dba
          - default_duties_payor
          - default_shipping_method
          - allowed_shipping_methods
          - default_tpb_group_id
          - routing_guide_notes
          - custom_fields
          - created_at
          - updated_at
    Shipping_API_v1_merchant-fields-enum:
      title: Merchant
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - name
          - status
          - created_at
          - updated_at
          - brands
          - default_brand
          - custom_fields
    Shipping_API_v1_RetailerRef:
      title: RetailerRef
      type: object
      description: Reference a `Retailer` by `id`.
      properties:
        type:
          type: string
          enum:
            - Retailer
          example: Retailer
        id:
          type: integer
          format: int32
          minimum: 1
          example: 2
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Shipping_API_v1_RequesterRef:
      title: RequesterRef
      type: object
      description: Reference a requester (who/what performed an action) by `type` and `id`.
      properties:
        type:
          type: string
          enum:
            - Requester
          example: Requester
          description: The resource type (always "Requester").
        id:
          type: integer
          format: int32
          example: 3
          description: The internal requester ID (`requester_id`).
      required:
        - type
        - id
      additionalProperties: false
  responses:
    Shipping_API_v1_400-bad-request:
      description: >-
        The request was invalid. The client must change the request. See the
        response body for more details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - parser
                        - parameters
                        - openapi
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: parameters
                message: The supplied parameters are invalid.
                details:
                  - key: hold_until_date
                    message: The date must be in the future.
    Shipping_API_v1_404-not-found:
      description: >-
        The requested resource was not found. It may have been deleted, it may
        have never existed, or you may not have permission to view it.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    type:
                      type: string
                      description: The error type code.
                      enum:
                        - not_found
                    message:
                      type: string
                      description: An English sentence describing the error type.
                    details:
                      type: array
                      description: >-
                        An array of objects describing which keys are
                        responsible for the error and detailed messages
                        describing why they are not valid.
                      items:
                        type: object
                        properties:
                          key:
                            type: string
                            description: The path to the key which relates to the error.
                          message:
                            type: string
                            description: >-
                              An English sentence describing the details of the
                              error.
                        additionalProperties: false
                  additionalProperties: false
                minItems: 1
            additionalProperties: false
          example:
            errors:
              - type: not_found
                message: The server could not find the requested resource.
    Shipping_API_v1_500-internal-server-error:
      description: >-
        Internal Server Error - Something wrong happened at server side. Contact
        server administrator for more details.
  securitySchemes:
    ShipStream_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Generate a JWT access token through a Custom Global Integration and
        provide it with each request in the `Authorization` header prefixed with
        "Bearer" and then a single space.

````